Bug 1413377 - Break bond and create new bond at the same time fail to get applied correctly
Summary: Break bond and create new bond at the same time fail to get applied correctly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.1
: 4.1.1.2
Assignee: Alona Kaplan
QA Contact: Meni Yakove
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 14:45 UTC by Mor
Modified: 2017-04-21 09:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:53:44 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+


Attachments (Terms of Use)
Logs (1.66 MB, application/octet-stream)
2017-01-15 14:45 UTC, Mor
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71955 0 master MERGED webadmin: Reuse the id of newly created bond with removed bond name 2017-02-12 16:00:18 UTC
oVirt gerrit 71956 0 master MERGED engine: Error message when trying to remove and update same bond 2017-02-12 16:00:46 UTC
oVirt gerrit 72117 0 ovirt-engine-4.1 MERGED webadmin: Reuse the id of newly created bond with removed bond name 2017-02-13 12:07:00 UTC
oVirt gerrit 72118 0 ovirt-engine-4.1 MERGED engine: Error message when trying to remove and update same bond 2017-02-13 12:06:56 UTC

Description Mor 2017-01-15 14:45:22 UTC
Created attachment 1240942 [details]
Logs

Description of problem:
Trying to break existing bond and create a new one, simultaneously, from the "Setup host networks" window, results in bond break, but no new bond is created.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 4.1.0-0.4.master.20170110134514.git1586fd4.el7.centos

How reproducible:
100%

Steps to Reproduce:
1. Select host, and press the "Setup Host Networks" button.
2. Create a new bond named "bond0" which consist of two NICs: eth1 and eth2.
3. Verify that is was created successfully.
4. Select the same host and try to break bond0 (created in the previous step), and simultaneously try to create a new bond named "bond1", which consist of eth3 and eth4 (two different NIC's).
5. Click OK to try and apply the changes.

Actual results:
bond0 doesn't exists, and bond1 isn't created.

Expected results:
bond1 should be created.

Additional info:
To reproduce, it is required to use host that has more then 3 NICS available to create the bondings.

Comment 1 Mor 2017-02-07 11:53:45 UTC
(In reply to Mor from comment #0)
> Created attachment 1240942 [details]
> Logs
> 
> Description of problem:
> Trying to break existing bond and create a new one, simultaneously, from the
> "Setup host networks" window, results in bond break, but no new bond is
> created.
> 
> Version-Release number of selected component (if applicable):
> oVirt Engine Version: 4.1.0-0.4.master.20170110134514.git1586fd4.el7.centos
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1. Select host, and press the "Setup Host Networks" button.
> 2. Create a new bond named "bond0" which consist of two NICs: eth1 and eth2.
> 3. Verify that is was created successfully.
> 4. Select the same host and try to break bond0 (created in the previous
> step), and simultaneously try to create a new bond named "bond1", which
> consist of eth3 and eth4 (two different NIC's).
Fix: "bond1" above should be "bond0" (as allocated automatically by the system)

> 5. Click OK to try and apply the changes.
> 
> Actual results:
> bond0 doesn't exists, and bond1 isn't created.
> 
> Expected results:
> bond1 should be created.
> 
> Additional info:
> To reproduce, it is required to use host that has more then 3 NICS available
> to create the bondings.

Comment 2 Mor 2017-02-19 11:39:18 UTC
Verified on version: Red Hat Virtualization Manager Version: 4.1.1.2-0.1.el7


Note You need to log in before you can comment on or make changes to this bug.